#pragma once

#include <math.h>

// I may be missing something, but the runtime lib seems to lack
// a function to round of a REAL (float, double) to an int.
inline int Int(REAL r)	{ return (int) floor(r + 0.5f); }

inline CRect RectFToCRect(RectF& rc)
	{ return CRect(Int(rc.GetLeft()), Int(rc.GetTop()),
		Int(rc.GetRight()), Int(rc.GetBottom())); }

inline RectF CRectToRectF(CRect& rc)
	{ return RectF((REAL) rc.left, (REAL) rc.top,
		(REAL) rc.Width(), (REAL) rc.Height()); }

inline CSize SizeFToCSize(SizeF sz)	{ return CSize(Int(sz.Width), Int(sz.Height)); }

inline SizeF CSizeToSizeF(CSize sz) { return SizeF((REAL) sz.cx, (REAL) sz.cy); }

inline CPoint PointFToCPoint(PointF p) { return CPoint(Int(p.X), Int(p.Y)); }

inline PointF CPointToPointF(CPoint p) { return PointF((REAL) p.x, (REAL) p.y); }
