#pragma once

// QImageEncoder
//
// Encapsulation of GDI+ GetImageEncoders() function, used to save an Image.
// Use at your own risk. Comments welcome.
//
// Version 1.2 (c) 2004, Sjaak Priester, Amsterdam.
// 02/01/2004: added GetMimeType(); cpp-file unchanged.
// 10/18/2003: resolved MS Knowledge Base PRB 312119.
// mailto:sjaak@sjaakpriester.nl

class QImageEncoder
{
public:
	QImageEncoder(LPCTSTR s);
	~QImageEncoder(void);

	CString GetMimeType() const	{ return m_MimeType; }
protected:
	CLSID m_Clsid;
	bool m_bStatus;
	CString m_MimeType;
public:
	Status Save(Image * pImage, LPCTSTR pPath);
	long m_Quality;
	int m_Compression;
};
