// Tinter.cpp
//

#include "stdafx.h"
#include "Tinter.h"
#include "MainFrm.h"

#include "TinterDoc.h"
#include "TinterView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

// CTinterApp

BEGIN_MESSAGE_MAP(CTinterApp, CWinApp)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
	ON_COMMAND(ID_FILE_NEW, CWinApp::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, CWinApp::OnFileOpen)
	ON_COMMAND(ID_FILE_PRINT_SETUP, CWinApp::OnFilePrintSetup)
END_MESSAGE_MAP()

CTinterApp::CTinterApp()
{
}

CTinterApp theApp;

BOOL CTinterApp::InitInstance()
{
	InitCommonControls();

	CWinApp::InitInstance();

	SetRegistryKey(_T("Cruquius"));
	LoadStdProfileSettings(4);

	CSingleDocTemplate* pDocTemplate;
	pDocTemplate = new CSingleDocTemplate(
		IDR_MAINFRAME,
		RUNTIME_CLASS(CTinterDoc),
		RUNTIME_CLASS(CMainFrame),
		RUNTIME_CLASS(CTinterView));
	AddDocTemplate(pDocTemplate);

	CCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);

	if (!ProcessShellCommand(cmdInfo)) return FALSE;

	UINT idCursors[] = 
	{
		IDC_LOUPE, IDC_LOUPEPLUS, IDC_LOUPEMINUS, IDC_GRIPOPEN, IDC_GRIPCLOSED
	};
	for (int i = 0; i < sizeof(idCursors) / sizeof(UINT); i++)
		VERIFY(QZoomView::LoadCursor(i, idCursors[i]));

	m_pMainWnd->ShowWindow(SW_SHOW);
	m_pMainWnd->UpdateWindow();
	return TRUE;
}



// CAboutDlg

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();
	enum { IDD = IDD_ABOUTBOX };
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()

void CTinterApp::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}
