// TinterDoc.h : interface of the CTinterDoc class
//
// Part of Tinter.
// Use at your own risk. Comments welcome.
//
// (c) 2003, Sjaak Priester, Amsterdam.
// mailto:sjaak@sjaakpriester.nl

#pragma once

#define HINT_OPEN	1
#define HINT_SAVE	2
#define HINT_NEW	3

class CTinterDoc : public CDocument
{
protected: // create from serialization only
	CTinterDoc();
	virtual ~CTinterDoc();

	virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
	virtual BOOL OnSaveDocument(LPCTSTR lpszPathName);
	virtual BOOL OnNewDocument();

	bool m_bStart;

	DECLARE_DYNCREATE(CTinterDoc)
	DECLARE_MESSAGE_MAP()
};


