#pragma once

class CColorPaletteCtrl : public CButton
{
public:
	CColorPaletteCtrl();
	virtual ~CColorPaletteCtrl();
	UINT SetPalette(Image * pImage);
protected:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual void PreSubclassWindow();
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDS);
	afx_msg void OnToolTipNeedText(NMHDR * pNMH, LRESULT * result);

	CToolTipCtrl m_ToolTips;
	BYTE * m_pPalette;

	DECLARE_DYNAMIC(CColorPaletteCtrl)
	DECLARE_MESSAGE_MAP()
};

class CGifPreviewBar : public CDialogBar
{
public:
	CGifPreviewBar();
	virtual ~CGifPreviewBar();
	void SetPalette(Image * pImage);
protected:
	LRESULT OnInitDialog(WPARAM wParam, LPARAM lParam);
	afx_msg void OnUpdatePalette(CCmdUI * pCmdUI);

	CColorPaletteCtrl c_PaletteCtrl;

	DECLARE_DYNAMIC(CGifPreviewBar)
	DECLARE_MESSAGE_MAP()
};
