#pragma once

// MainFrm.h
//
// Part of Tinter 1.3, a small app to demonstrate QColorMatrix and QGaussFilter.
// Use at your own risk. Comments welcome.
//
// (c) 2003, Sjaak Priester, Amsterdam.
// mailto:sjaak@sjaakpriester.nl

#include "SliderBar.h"
#include "GifPreviewBar.h"

class CMainFrame : public CFrameWnd
{
protected: // create from serialization only
	CMainFrame();
	virtual ~CMainFrame();

	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);

	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	CSliderBar m_SliderBar;
	CGifPreviewBar m_GifPreviewBar;

	DECLARE_DYNCREATE(CMainFrame)
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT nIDEvent);
protected:
	UINT m_iMessage;
};


